Skip to main content

Documentation Index

Fetch the complete documentation index at: https://daehan-base.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

현재 사전 확인된 Flashblock 상태를 기준으로 하나 이상의 트랜잭션 번들을 시뮬레이션합니다. 상태 오버라이드, 멀티블록 시뮬레이션, 선택적 전송 추적을 지원합니다.
Flashblocks 엔드포인트에서만 사용할 수 있습니다: https://mainnet-preconf.base.org / https://sepolia-preconf.base.org.

파라미터

simulationPayload
object
required
시뮬레이션 설정입니다.
blockParameter
string
required
현재 Flashblock 상태를 기준으로 시뮬레이션하려면 "pending"을 사용합니다.

반환값

result
array
blockStateCalls의 각 항목에 대응하는 시뮬레이션 블록 결과 배열입니다.

예시

curl https://sepolia-preconf.base.org \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_simulateV1",
    "params": [
      {
        "blockStateCalls": [
          {
            "calls": [{"to": "0x...", "data": "0x..."}],
            "stateOverrides": {}
          }
        ],
        "traceTransfers": true,
        "validation": true
      },
      "pending"
    ],
    "id": 1
  }'